Subject: Re: [PATCH v2 2/4] Documentation: warn prominently against merging with dirty trees

From: Thomas Rast <[email-masked]>
Date: Sun, 10 Jan 2010 13:16:47 +0100

Junio C Hamano wrote:
> >> while possible, it leaves you in a state that is hard to
> >> +back out of in the case of a conflict.
> >> +
> >
> > Oh, that is a problem.  Maybe 'git merge' should refuse to merge
> > unless told otherwise, if there is a dirty index and there might be
> > conflicts.

Actually I'm worried about a dirty *worktree*.  Do you think that
should be clarified?

> "git reset --merge" will keep your local changes after such a merge, and
> "mergy" operations (not just "merge" but also "revert", "am -3", etc)
> won't get you into a situation where you cannot, by refusing to do
> anything when e.g. your index is dirty.  Especially when Christian's
> "reset --merge" update becomes solid, "... is hard to back out of" will
> become a false statement.

Does that apply to dirty worktrees, too?  I admit I didn't follow that
topic at all.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch